Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Enum AddressType2Code

java.lang.Object
java.lang.Enum<AddressType2Code>
org.kapott.hbci.sepa.jaxb.camt_052_001_09.AddressType2Code

All Implemented Interfaces:
  `Serializable`, `Comparable<AddressType2Code>`, `java.lang.constant.Constable`

public enum AddressType2Code extends Enum<AddressType2Code>

Java class for AddressType2Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="AddressType2Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ADDR"/>
         <enumeration value="PBOX"/>
         <enumeration value="HOME"/>
         <enumeration value="BIZZ"/>
         <enumeration value="MLTO"/>
         <enumeration value="DLVY"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDR`
`BIZZ`
`DLVY`
`HOME`
`MLTO`
`PBOX`

## Method Summary

Modifier and Type
Method
Description
`static AddressType2Code`
`fromValue(String v)`
`String`
`value()`
`static AddressType2Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AddressType2Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADDR

public static final AddressType2Code ADDR

### PBOX

public static final AddressType2Code PBOX

### HOME

public static final AddressType2Code HOME

### BIZZ

public static final AddressType2Code BIZZ

### MLTO

public static final AddressType2Code MLTO

### DLVY

public static final AddressType2Code DLVY

## Method Details

### values

public static AddressType2Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AddressType2Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static AddressType2Code fromValue(String v)